"""V1 API Configuration."""
import os

PREFIX = '/api/gc/v1'

SUBSCRIPTION_NOTIFY_TIMEOUT = int(
    os.getenv("GRAPI_SUBSCRIPTION_NOTIFY_TIMEOUT", "10")
)
SUBSCRIPTION_VALIDATION_TIMEOUT = int(
    os.getenv("GRAPI_SUBSCRIPTION_VALIDATION_TIMEOUT", "10")
)
SUBSCRIPTION_REQUEST_POOL_MAXSIZE = int(
    os.getenv("GRAPI_SUBSCRIPTION_REQUEST_POOL_MAXSIZE", "1024")
)
SUBSCRIPTION_QUEUE_MAXSIZE = int(
    os.getenv("GRAPI_SUBSCRIPTION_QUEUE_MAXSIZE", "1024")
)
SUBSCRIPTION_INTERNAL_RETRY = int(
    os.getenv("GRAPI_SUBSCRIPTION_INTERNAL_RETRY", "3")
)
# Separated by comma (e.g. "item,folder")
SUBSCRIPTION_OBJECT_TYPES = os.getenv(
    "GRAPI_SUBSCRIPTION_OBJECT_TYPES", "item"
).split(",")
SUBSCRIPTION_SINK_UPDATE_TIMEOUT = int(
    os.getenv("GRAPI_SUBSCRIPTION_SINK_UPDATE_TIMEOUT", "5")
)
SUBSCRIPTION_EXIT_WAIT_TIMEOUT = int(
    os.getenv("GRAPI_SUBSCRIPTION_EXIT_WAIT_TIMEOUT", "60")
)
SUBSCRIPTION_REQUEST_MAX_REDIRECT = int(
    os.getenv("GRAPI_SUBSCRIPTION_REQUEST_MAX_REDIRECT", "3")
)
SUBSCRIPTION_REQUEST_SESSION_PREFIX = os.getenv(
    "GRAPI_SUBSCRIPTION_REQUEST_SESSION_PREFIX", "https://"
)
